:root {
  --theme-primary: #3cacc6;
  --theme-primary-rgba: 172, 239, 255;
  --theme-primary-hover: hsl(193, 58%, 53%);
  --theme-secondary: #72c5db;
  --theme-secondary-hover: #b9dfe8;
  --theme-info: #01c0c8;
  --theme-info-hover: #138496;
  --theme-success: #2db115;
  --theme-success-hover: #1aaa00;
  --theme-danger: #d83b48;
  --theme-danger-hover: #b42332;
  --theme-warning: #ffbc34;
  --theme-warning-hover: #e0a800;
  --theme-white: #f9fafc;
  --theme-black: #3c3c3c;
  --theme-grey: #929292;
  --theme-grey-bg: #f5f5f5;
  --theme-grey-border: #d3d3d3;
  --theme-disabled: #797979;
}

.home-row {
    display: flex;
    justify-content: center;
    width: 100%;
    margin-bottom: 15px;
    padding: 0 15px;
}

.home-widget {
    flex: 1;
    margin: 0 8px;
    text-decoration: none;
    max-width: 130px;
    .bg-primary {
        background-color: transparent !important;
    }
    scale: 0.9;
}


.home-widget .small-box {
    margin: auto;
    height: 100%;
    overflow: hidden;
    margin-bottom: 0;
    box-shadow: none !important;
}

.home-widget .small-box .inner {
    color: black;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 30px 20px;
    text-align: center;
    height: 100%;
    background: transparent !important;
    p {
        margin-top: 5px !important;
    }
}

.primary {
    .small-box .inner {
        background-color: rgba(var(--theme-primary-rgba), 0.15) !important;
    }
    max-width: 250px;
}

.secondary {
    .small-box {
        border-bottom: solid var(--theme-primary);
    }
    max-width: 170px;
    margin: 4%;
    margin-top: 0;
    .crowned {
        position: relative;
    }
    .crowned::after {
        content: "\f521";
      font-family: "Font Awesome 5 Free";
      font-weight: 900;
      position: absolute;
      top: -5px;
      right: -8px;
      font-size: 12px;
      color: #fe0 !important;
      -webkit-text-stroke: 1px #797979;
    }
}


.home-icon {
    font-size: 2.5rem;
    margin-bottom: 12px;
    color: var(--theme-primary);
    display: block;
    text-align: center;
}

.home-widget .small-box .inner p {
    margin: 0;
    font-size: 1rem;
    font-weight: 500;
}

/* Abonnement Modals */
#abonnementModal {
    .modal-dialog {
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
        margin: 0 auto;
    }
    .modal-content {
        border-radius: 15px;
        min-height: 510px;
    }

    .separator {
        border: none;
        height: 2px;
        background-color: var(--theme-grey);
        opacity: .3;
    }

    .modal-header {
        margin: 15px;
        border: transparent;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        position: relative;

        .info p {
            background-color: rgba(var(--theme-primary-rgba), 0.1);
            border-radius: 5px;
            padding: 5px 20px 5px 5px;
            font-size: small;
            letter-spacing: 1px;
            margin-bottom: 0;
        }

        .title {
            display: flex;
            margin-top: 15px;
            gap: 15px;
            i {
                color: #fe0 !important;
                -webkit-text-stroke: 1px #797979;
                scale: 170%;
                margin: auto;
            }

            h5 {
                padding-top: 5px;
                margin: auto;
                font-weight: bold;
                font-size: medium;
            }
        }

        .close {
            position: absolute;
            top: 0;
            right: 0;
        }
    }

    .modal-body {
        margin: auto;
        text-align: center;
        button {
            margin-top: 35px;
            font-weight: bold;
            font-size: medium;
            width: 95%;
        }

        .three_formules {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-bottom: 20px;

            div > p {
                color: var(--theme-grey) !important;
                margin: 0;
            }

            .title {
                font-size: medium;
                filter: brightness(50%);
                margin: 0;
            }

            .description {
                font-size: small;
            }
        }

        .formule-info {
            margin-top: 25px;
            display: flex;
            flex-direction: row;
            gap: 16px;
            .premium {
                border-left: solid var(--theme-grey) 2px;
                border-right: solid var(--theme-grey) 2px;
            }
            .card-formules {
                flex: 1;
                padding: 10px;

                .title {
                    text-transform: uppercase;
                    font-weight: bold;
                    font-size: medium;
                }

                .description {
                    font-size: small;
                }
            }
        }
    }
}

/* Share Modals */

#partageModal {
    #backBtn, #closeBtn {
        background-color: white !important;
        border-radius: solid 2px var(--theme-primary) !important;
        color: var(--theme-primary);
        border-radius: .25rem !important;
    }

    .modal-dialog {
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
        margin: 0 auto;
    }

    .modal-content {
        display: flex;
        flex-direction: column;
        border-radius: 15px;
        min-height: 310px;
        height: 400%;
        .modal-header {
            .title {
                h5 i {
                    color: var(--theme-primary);
                }
            }
        }
    }

    .page-one,
    .page-two {
        display: flex;
        flex-direction: column;
        flex: 1;
    }

    .modal-body {
        .or-option {
            margin: 3%;
            text-align: center;
        }
        flex: 1;
        p {
            margin: 0;
        }
        .form, .send-btn-col {
            padding: 0;
        }
        .form-control {
            border-radius: .25rem 0 0 .25rem !important;
        }
        .send-btn {
            border-radius: 0 .25rem .25rem 0 !important;
        }
    }

    .modal-footer {
        display: flex;
        justify-content: space-between;
        margin-top: auto;
    }

    label {
        font-weight: normal;
        font-size: medium;
    }

    .copy_link {
        font-weight: bold;
        font-size: medium;
        width: 100%;
    }
    .separator {
        border: none;
        height: 1px;
        background-color: var(--theme-grey);
        opacity: .3;
    }

}

/* Crown Button */

/* Pour les btn avec une formule quand la formule est activé*/
/* .crown-btn-activate {

} */

.crown-btn-desactivate {
    background-color: var(--theme-disabled) !important;
    margin-right: 10px;
    .fa-crown {
        color: #fe0 !important;
        -webkit-text-stroke: 1px #797979;
        scale: 70%;
    }
    span {
        margin-right: 6px !important;
        color: white !important;
    }
    border-color: transparent !important;
}

button.crown-btn-desactivate {
    background-color: var(--theme-disabled) !important;
    margin-right: 10px;
    border-color: transparent !important;

    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
    color: white !important;

    .fa-crown {
        color: #fe0 !important;
        -webkit-text-stroke: 1px #797979;
        scale: 70%;
        margin-left: auto;
    }
}

.home-crown-btn {
    .small-box {
        border-bottom: solid var(--theme-disabled);
    }
    .home-icon {
        color: var(--theme-disabled);
    }
}

#user-profile {
    .card-header {
        margin: 15px 0 -20px 15px;
        padding-bottom: 0;
        h3 {
            font-size: xx-large;
        }
    }
    .card-body {
        margin: 15px;
        margin-top: 0;
        .title-part {
            font-size: x-large;
            margin-top: 25px;
            margin-bottom: 25px;
        }
        form {
            label {
                font-size: 450 !important;
            }
            input {
                margin-bottom: 10px;
                margin-top: 10px;
                padding: 20px;
                border-radius: 7px;
            }
        }
        .adresse-list {
            margin-bottom: 20px;
        }
        .rgpd {
            border-radius: 7px;
            margin: 5px;
            border: solid 1px var(--theme-grey);
            padding: 15px;
            .title-rgpd {
                font-weight: bold;
                font-size: medium;
                margin-bottom: 10px;
                color: var(--theme-black);
            }
            .text-rgpd {
                color: var(--theme-black);
                font-style: italic;
            }
        }
        .subsription-text {
            .title-part {
                font-weight: 600 !important;
                font-size: large !important;
            }
            .formule-redirect {
                color: var(--theme-black);
            }
            span {
                font-weight: 600;
            }
            .bold-link {
                color: var(--theme-primary);
                text-decoration: underline;
            }
        }
    }
}

/* Subscribe page */

#subscribe-profile {
    .card-header {
        margin: 15px 0 15px 15px;
        padding-bottom: 0;
        h3 {
            font-size: xx-large;
        }
    }
    .card-body {
        margin: 15px;
        margin-top: 0;
        .intro {
            margin-top: 5px;
            display: flex;
            justify-content: space-between;
            a {
                font-weight: bold;
                scale: 90%;
            }
            span {
                font-weight: bold;
            }
        }
        .row.formules {
            gap: 16px;
            flex-wrap: nowrap;
            margin-top: 30px;
        }
        .card-formule {
            background: var(--theme-grey-bg);
            border: solid 1px var(--theme-grey-border);
            border-radius: 5px;
            padding: 16px 16px 12px 20px;
            flex: 1 1 0;
            max-width: calc(33.333% - 12px);
            scale: 90%;
            h3 {
                margin-bottom: 20px;
            }
            .tag {
                display: flex;
                margin-bottom: 20px;
                .user-allow {
                    margin-right: 50px;
                }
                .user-allow, .partage-allow {
                    border: solid 1px var(--theme-grey);
                    border-radius: 40px;
                    padding-left: 10px;
                    padding-right: 10px;
                }
            }
        }
        .card-formule-activate {
            border: solid 2px var(--theme-primary);
            border-radius: 5px;
            padding: 16px 16px 12px 20px;
            flex: 1 1 0;
            max-width: calc(33.333% - 12px);
            scale: 90%;
            h3 {
                margin-bottom: 20px;
                color: var(--theme-primary);
                font-weight: bold;
                .fa-crown {
                    color: #fe0 !important;
                    -webkit-text-stroke: 1px #797979;
                }
            }
            .tag {
                display: flex;
                margin-bottom: 20px;
                .user-allow {
                    margin-right: 50px;
                }
                .user-allow, .partage-allow {
                    border: solid 1px var(--theme-grey);
                    border-radius: 40px;
                    padding-left: 10px;
                    padding-right: 10px;
                }
            }
        }
    }
}